/**
 * @description 定时器服务接口
 * @export
 * @interface IAppCounterService
 */
export interface IAppCounterService {

    /**
     * 计数器唯一标识
     *
     * @type {string}
     * @memberof IAppCounterService
     */
    id: string;

    /**
     * 计数器数据
     *
     * @type {*}
     * @memberof IAppCounterService
     */
    data: any;

    /**
     * 执行计数器
     *
     * @return {*}  {Promise<void>}
     * @memberof IAppCounterService
     */
    execute(): Promise<void>;

    /**
     * 销毁计数器
     *
     * @return {*}  void
     * @memberof IAppCounterService
     */
    destory(): void;

}