import { TreeView } from "../tree-view";
import { PickupTreeViewProps } from "./pickup-tree-view-prop";
import { PickupTreeViewState } from "./pickup-tree-view-state";

/**
 * 选择树视图
 *
 * @export
 * @class PickupTreeView
 * @extends {TreeView}
 */
export class PickupTreeView extends TreeView {
  
  /**
   * 选择树视图状态
   *
   * @type {PickupTreeViewState}
   * @memberof PickupTreeView
   */
  public declare state: PickupTreeViewState;

  /**
   * 选择树视图输入参数
   *
   * @type {PickupTreeViewProps}
   * @memberof PickupTreeView
   */
  public declare props: PickupTreeViewProps;
}